### Function

# GLib Variant new_handle

since: 2.24

#### Declaration

    GVariant*
    g_variant_new_handle (
      gint32 value
    )

#### Description

Creates a new handle `GVariant` instance.

By convention, handles are indexes into an array of file descriptors that are sent alongside a D-Bus message. If you’re not interacting with D-Bus, you probably don’t need them.

Available since: 2.24

#### Parameters

`value`

  Type: `gint32`

  A #gint32 value.

#### Return value

Type: `GVariant`

A floating reference to a new handle `GVariant` instance.

The data is owned by the called function.